createCloudCacheConfigGroup

Prev Next

Available in VPC

Create a Cloud DB for Cache config group.
With config groups, you can efficiently manage created Redis servers by grouping them and specifying the same settings for the servers in the group.

Note

Cloud DB for Cache API offers two versions based on the supported DBMS range.

  • createCloudCacheConfigGroup API: Support for Valkey and Redis DBMS
  • createCloudRedisConfigGroup API: Support for Redis DBMS

createCloudCacheConfigGroup API

This section describes the request and response formats for the createCloudCacheConfigGroup API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET, POST /createCloudCacheConfigGroup

Request headers

For information about the headers common to all Cloud DB for Cache (VPC) APIs, see Cloud DB for Cache (VPC) request headers.

Request parameters

The following describes the parameters.

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for Cache instance on which to create config groups
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudCacheVersion String Required Version of the config group to create and configuration information for Cloud DB for Cache
  • 7.2.11-simple
  • The configuration information in the config group and the type (Cluster/Simple) of the DB server must match to create a Cache cluster.
configGroupName String Required Config group service name to create
  • 3 to 15 characters, including lowercase English letters, numbers, and the special character "-", and must begin with an English letter and end with an English letter or number.
configGroupDescription String Optional Description for the config group to create
  • 0-255 characters
cloudCacheDbmsCode String Optional Cloud DB for Cache instance's DBMS code
  • Redis (default) | Valkey
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vcache/v2/createCloudCacheConfigGroup
?regionCode=KR
&cloudCacheVersion=7.0.15-cluster
&configGroupName=test-***-config
&configGroupDescription=description
&cloudCacheDbmsCode=Redis'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}' 
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See CloudCacheConfigGroupList for the response body.

Response status codes

For response status codes common to NAVER Cloud Platform, see Ncloud API response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "createCloudCacheConfigGroupResponse": {
        "totalRows": 1,
        "cloudCacheConfigGroupList": [
            {
                "configGroupNo": "***9",
                "configGroupName": "test-***-config",
                "configGroupDescription": "decription",
                "configGroupStatusName": "settingUp",
                "configGroupStatus": {
                    "code": "SETUP",
                    "codeName": "CONFIG GROUP Setup State"
                },
                "cloudCacheVersion": "7.0.15-cluster",
                "cloudCacheDbmsCode": "Redis",
                "createDate": "2024-07-01T16:36:38+0900",
                "modifyDate": "2024-07-01T16:36:38+0900"
            }
        ],
        "requestId": "1af809fc-****-****-****-3ca2a105b758",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<createCloudCacheConfigGroupResponse>
    <requestId>1af809fc-****-****-****-3ca2a105b758</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <cloudCacheConfigGroupList>
        <cloudCacheConfigGroup>
            <configGroupNo>***9</configGroupNo>
            <configGroupName>test-***-config</configGroupName>
            <configGroupDescription>decription</configGroupDescription>
            <configGroupStatusName>settingUp</configGroupStatusName>
            <configGroupStatus>
                <code>SETUP</code>
                <codeName>CONFIG GROUP Setup State</codeName>
            </configGroupStatus>
            <cloudCacheVersion>7.0.15-cluster</cloudCacheVersion>
            <cloudCacheDbmsCode>Redis</cloudCacheDbmsCode>
            <createDate>2024-07-01T16:36:38+0900</createDate>
            <modifyDate>2024-07-01T16:36:38+0900</modifyDate>
        </cloudCacheConfigGroup>
    </cloudCacheConfigGroupList>
</createCloudCacheConfigGroupResponse>

createCloudRedisConfigGroup API

This section describes the request and response formats for the createCloudRedisConfigGroup API.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET, POST /createCloudRedisConfigGroup

Request headers

For information about the headers common to all Cloud DB for Cache APIs, see Cloud DB for Cache request headers.

Request parameters

The following describes the parameters.

Field Type Required Description
regionCode String Optional Region code of the Cloud DB for Cache instance on which to create config groups
  • See getRegionList.
  • First Region of the getRegionList query result (default).
cloudRedisVersion String Required Version of the config group to create and configuration information for Cloud DB for Cache
  • 4.0.14-cluster | 4.0.14-simple | 5.0.14-cluster | 5.0.14-simple | 7.0.13-cluster | 7.0.13-simple | 7.0.15-cluster | 7.0.15-simple | 7.2.6-cluster | 7.2.6-simple | 7.2.8-cluster | 7.2.8-simple | 7.2.11-cluster | 7.2.11-simple
  • The configuration information in the config group and the type (Cluster/Simple) of the Redis server must match to create a Redis cluster.
configGroupName String Required Config group service name to create
  • 3 to 15 characters, including lowercase English letters, numbers, and the special character "-", and must begin with an English letter and end with an English letter or number.
configGroupDescription String Optional Description for the config group to create
  • 0-255 characters
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vredis/v2/createCloudRedisConfigGroup
?regionCode=KR
&cloudRedisVersion=7.0.15-cluster
&configGroupName=test-***-config
&configGroupDescription=decription'
--header 'x-ncp-apigw-timestamp: {Timestamp}'
--header 'x-ncp-iam-access-key: {Access Key}'
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See ConfigGroupList for the response body.

Response status codes

For response status codes common to NAVER Cloud Platform, see Ncloud API response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json

    {
        "createCloudRedisConfigGroupResponse": {
            "totalRows": 1,
            "cloudRedisConfigGroupList": [
                {
                    "configGroupNo": "***9",
                    "configGroupName": "test-***-config",
                    "configGroupDescription": "decription",
                    "configGroupStatusName": "settingUp",
                    "configGroupStatus": {
                        "code": "SETUP",
                        "codeName": "CONFIG GROUP Setup State"
                    },
                    "cloudRedisVersion": "7.0.15-cluster",
                    "createDate": "2024-07-01T16:36:38+0900",
                    "modifyDate": "2024-07-01T16:36:38+0900"
                }
            ],
            "requestId": "1af809fc-****-****-****-3ca2a105b758",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <createCloudRedisConfigGroupResponse>
        <requestId>1af809fc-****-****-****-3ca2a105b758</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <cloudRedisConfigGroupList>
            <cloudRedisConfigGroup>
                <configGroupNo>***9</configGroupNo>
                <configGroupName>test-***-config</configGroupName>
                <configGroupDescription>decription</configGroupDescription>
                <configGroupStatusName>settingUp</configGroupStatusName>
                <configGroupStatus>
                    <code>SETUP</code>
                    <codeName>CONFIG GROUP Setup State</codeName>
                </configGroupStatus>
                <cloudRedisVersion>7.0.15-cluster</cloudRedisVersion>
                <createDate>2024-07-01T16:36:38+0900</createDate>
                <modifyDate>2024-07-01T16:36:38+0900</modifyDate>
            </cloudRedisConfigGroup>
        </cloudRedisConfigGroupList>
    </createCloudRedisConfigGroupResponse>